Create Fine-tuning Job
curl --request POST \
--url https://{gatewayBaseURL}/fine_tuning/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"training_file": "<string>",
"hyperparameters": {},
"integrations": [
{}
],
"metadata": {},
"method": {},
"seed": 123,
"suffix": "<string>",
"validation_file": "<string>"
}
'import requests
url = "https://{gatewayBaseURL}/fine_tuning/jobs"
payload = {
"model": "<string>",
"training_file": "<string>",
"hyperparameters": {},
"integrations": [{}],
"metadata": {},
"method": {},
"seed": 123,
"suffix": "<string>",
"validation_file": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
training_file: '<string>',
hyperparameters: {},
integrations: [{}],
metadata: {},
method: {},
seed: 123,
suffix: '<string>',
validation_file: '<string>'
})
};
fetch('https://{gatewayBaseURL}/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{gatewayBaseURL}/fine_tuning/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'training_file' => '<string>',
'hyperparameters' => [
],
'integrations' => [
[
]
],
'metadata' => [
],
'method' => [
],
'seed' => 123,
'suffix' => '<string>',
'validation_file' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{gatewayBaseURL}/fine_tuning/jobs"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{gatewayBaseURL}/fine_tuning/jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{gatewayBaseURL}/fine_tuning/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "fine_tuning.job",
"id": "<string>",
"model": "<string>",
"created_at": 123,
"fine_tuned_model": "<string>",
"organization_id": "<string>",
"result_files": [
"<string>"
],
"status": "queued",
"validation_file": "<string>",
"training_file": "<string>",
"finished_at": 123,
"hyperparameters": {},
"trained_tokens": 123,
"integrations": [
{}
],
"seed": 123,
"estimated_finish": 123,
"method": {},
"metadata": {}
}Fine-tuning
Create Fine-tuning Job
Creates a fine-tuning job which begins the process of creating a new model from a given dataset.
POST
/
fine_tuning
/
jobs
Create Fine-tuning Job
curl --request POST \
--url https://{gatewayBaseURL}/fine_tuning/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"training_file": "<string>",
"hyperparameters": {},
"integrations": [
{}
],
"metadata": {},
"method": {},
"seed": 123,
"suffix": "<string>",
"validation_file": "<string>"
}
'import requests
url = "https://{gatewayBaseURL}/fine_tuning/jobs"
payload = {
"model": "<string>",
"training_file": "<string>",
"hyperparameters": {},
"integrations": [{}],
"metadata": {},
"method": {},
"seed": 123,
"suffix": "<string>",
"validation_file": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
training_file: '<string>',
hyperparameters: {},
integrations: [{}],
metadata: {},
method: {},
seed: 123,
suffix: '<string>',
validation_file: '<string>'
})
};
fetch('https://{gatewayBaseURL}/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{gatewayBaseURL}/fine_tuning/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'training_file' => '<string>',
'hyperparameters' => [
],
'integrations' => [
[
]
],
'metadata' => [
],
'method' => [
],
'seed' => 123,
'suffix' => '<string>',
'validation_file' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{gatewayBaseURL}/fine_tuning/jobs"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{gatewayBaseURL}/fine_tuning/jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{gatewayBaseURL}/fine_tuning/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"training_file\": \"<string>\",\n \"hyperparameters\": {},\n \"integrations\": [\n {}\n ],\n \"metadata\": {},\n \"method\": {},\n \"seed\": 123,\n \"suffix\": \"<string>\",\n \"validation_file\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "fine_tuning.job",
"id": "<string>",
"model": "<string>",
"created_at": 123,
"fine_tuned_model": "<string>",
"organization_id": "<string>",
"result_files": [
"<string>"
],
"status": "queued",
"validation_file": "<string>",
"training_file": "<string>",
"finished_at": 123,
"hyperparameters": {},
"trained_tokens": 123,
"integrations": [
{}
],
"seed": 123,
"estimated_finish": 123,
"method": {},
"metadata": {}
}Authorizations
Headers
Body
application/json
Fine-tuning job parameters
Response
Fine-tuning job created successfully
Was this page helpful?